# Class ModuleSizePieChartMaker

java.lang.Object
net.sf.statcvs.charts.ModuleSizePieChartMaker

public class ModuleSizePieChartMaker extends Object
Class for producing directory pie charts

Version:
  $Id: ModuleSizePieChartMaker.java,v 1.2 2009/08/31 19:16:35 benoitx Exp $
Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

## Constructor Summary

Constructors
Constructor
Description
`ModuleSizePieChartMaker(String chartName, ReportConfig config, String title, String subTitle, String fileName)`
Creates a new PieChartMaker

## Method Summary

Modifier and Type
Method
Description
`ChartImage`
`toFile()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModuleSizePieChartMaker

public ModuleSizePieChartMaker(String chartName, ReportConfig config, String title, String subTitle, String fileName)
Creates a new PieChartMaker

Parameters:
  `config` - The report configuration to use
  `title` - The chart title
  `fileName` - The file name for chart
  `directories` - The set of directories to consider

## Method Details

### toFile

public ChartImage toFile()